gnutls_ocsp_req_randomize_nonce(3)

NAME
gnutls_ocsp_req_randomize_nonce - API function

SYNOPSIS
#include <gnutls/ocsp.h>

int gnutls_ocsp_req_randomize_nonce(gnutls_ocsp_req_t req);

ARGUMENTS

gnutls_ocsp_req_t req
    should contain a gnutls_ocsp_req_t type

DESCRIPTION
This function will add or update an nonce extension to the OCSP request with a newly generated random value.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/